BeginSync

[POST] .../v1/cashserver/beginsync

Starts cash server synchronization. Use this method to start a cash server synchronization session before importing or exchanging POS data for that server. It requires a positive cash server id, checks sync_insert access and active cash server validity and returns row_affected plus start_date in result. Missing body, invalid id, denied access, inactive or unknown cash server and synchronization persistence errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
id Int64 Required Cash server ID.

Request Example

{
  "id": 1
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result StartSyncDatetime Result object.

Response Example

{
  "ok": true,
  "result": {
    "start_date": 1
  }
}